int_power.c(3)

NAME
int_power.c - Provide function similar to C pow() power function.

SYNOPSIS

#include 'grib2_int.h'

  Functions

double int_power (double x, g2int y)
Function similar to C pow() power function.

Detailed Description

Provide function similar to C pow() power function.

Author
    Wesley Ebisuzaki

Definition in file int_power.c.

Function Documentation

  double int_power (double x, g2int y)

Function similar to C pow() power function.

Parameters
    x The base value whose power is to be calculated.
    y The power value.

Returns
    x**y

Author
    Wesley Ebisuzaki

Definition at line 18 of file int_power.c.

Referenced by aecpack_int(), aecunpack_int(), compack(), comunpack(), jpcpack_int(), jpcunpack_int(), misspack(), mkieee(), pngpack_int(), pngunpack_int(), rdieee(), simpack(), simunpack(), and specunpack().

Author

Generated automatically by Doxygen for NCEPLIBS-g2c from the source code.